var ExtractTextPlugin = require("extract-text-webpack-plugin");
var HtmlWebpackPlugin = require("html-webpack-plugin");

module.exports = {
    // 字典的形式，配置了2个entry入口，就会对应2个所谓的chunk
    // 一个叫做a，一个叫做b，编译的话会生成2套css和js
 entry: {
     a: "./app.es6",
     b: "./app.es6"
 },
 output: {
     // bundle.js也进行了编码
   filename: "bundle-[name]-[hash:8].js",
     hash: true, // 开启hash编码功能
 },
 module: {
   preLoaders: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'jshint-loader'

      }
   ],
   loaders: [
     {
       test: [ /\.js$/, /\.es6$/],
       exclude: /node_modules/,
       loader: 'babel-loader',
       query: {
          cacheDirectory: true, 
          presets: ['react', 'es2015'] 
       }
      },
       {
           test: /\.css$/,
           //loader: "style-loader!css-loader?modules"
           loader: ExtractTextPlugin.extract(
               "style-loader", "css-loader?modules"
           )
       },
       {
           // 小于8KB的图片使用base64内联
           test: /\.(png|jpg)$/,
           loader: 'url-loader?limit=8192'
       }
   ]
 },
 plugins: [
     // 提取的css文件名进行了编码
     new ExtractTextPlugin("bundle-[name]-[hash:8].css"),

     // 引入了html-webpack-plugin自动生成html

     // 生成chunk=a的html
    new HtmlWebpackPlugin({
        title: 'a',
        filename : 'a_index.html',
        chunks: ['a'] // 在entry里我定义过了a这个chunk
    }),
     // 生成chunk=b的html
     new HtmlWebpackPlugin({
         title: 'b',
         filename : 'b_index.html',
         chunks: ['b'] // 在entry里我定义过了b这个chunk
     }),
 ],
 resolve: {
   extensions: ['', '.js', '.es6']
 }
}
